<?php
/**
 * Halloween Party: Block Patterns
 *
 * @package Halloween Party
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'halloween-party',
		array( 'label' => __( 'Halloween Party', 'halloween-party' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'halloween-party/banner-section',
		array(
			'title'      => __( 'Banner Section', 'halloween-party' ),
			'categories' => array( 'halloween-party' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":888,\"dimRatio\":0,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-888\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50.66%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":1,\"style\":{\"color\":{\"text\":\"#ff6600\"},\"typography\":{\"fontSize\":\"50px\",\"textTransform\":\"capitalize\"}},\"className\":\"text-md-start text-center \"} -->\n<h1 class=\"text-md-start text-center has-text-color\" style=\"color:#ff6600;font-size:50px;text-transform:capitalize\">Have Fun With Us On Halloween</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s,&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"text-md-start text-center\"} -->\n<div class=\"wp-block-buttons text-md-start text-center\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#ff6600\"},\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:0px;background-color:#ff6600\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50.33%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'halloween-party/events-section',
		array(
			'title'      => __( 'Events Section', 'halloween-party' ),
			'categories' => array( 'halloween-party' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"backgroundColor\":\"black\",\"className\":\"pt-md-5 pt-3 event-section\"} -->\n<div class=\"wp-block-group alignwide pt-md-5 pt-3 event-section has-black-background-color has-background\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:15px\">Party Host</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#ff6600\"},\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"35px\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#ff6600;font-size:35px;text-transform:capitalize\">Our Event For the Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"pt-md-5 mx-md-5 \"} -->\n<div class=\"wp-block-columns pt-md-5 mx-md-5\"><!-- wp:column {\"width\":\"40.33%\",\"className\":\"event-section-first-col\"} -->\n<div class=\"wp-block-column event-section-first-col\" style=\"flex-basis:40.33%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":935,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/event-section-1.png\" alt=\"\" class=\"wp-image-935\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-white-color has-text-color has-medium-font-size\" style=\"text-transform:uppercase\">COSTUME PARTY</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":930,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/event-section-2.png\" alt=\"\" class=\"wp-image-930\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-white-color has-text-color has-medium-font-size\" style=\"text-transform:uppercase\">COSTUME PARTY</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"align\":\"center\",\"id\":931,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/event-section-3.png\" alt=\"\" class=\"wp-image-931\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"white\",\"fontSize\":\"medium\"} -->\n<h3 class=\"has-text-align-center has-white-color has-text-color has-medium-font-size\" style=\"text-transform:uppercase\">COSTUME PARTY</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"65.66%\",\"className\":\"event-section-sec-col\"} -->\n<div class=\"wp-block-column event-section-sec-col\" style=\"flex-basis:65.66%\"><!-- wp:image {\"align\":\"full\",\"id\":934,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0 mx-3\"} -->\n<figure class=\"wp-block-image alignfull size-full mb-md-0 mb-0 mx-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/event-section-1.png\" alt=\"\" class=\"wp-image-934\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"event-section-sec-col-text\"} -->\n<div class=\"wp-block-group event-section-sec-col-text\"><!-- wp:image {\"id\":964,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-2 mb-2\"} -->\n<figure class=\"wp-block-image size-full mb-md-2 mb-2\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/eye.png\" alt=\"\" class=\"wp-image-964\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"30px\"}},\"textColor\":\"white\",\"className\":\"mb-md-0 mb-0\"} -->\n<h3 class=\"mb-md-0 mb-0 has-white-color has-text-color\" style=\"font-size:30px;text-transform:uppercase\">COSTUME PARTY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\",\"className\":\"mb-md-2 mb-2\"} -->\n<p class=\"mb-md-2 mb-2 has-white-color has-text-color\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text .</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ff6600\",\"background\":\"#00000000\"},\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"mb-md-0 mb-0\"} -->\n<div class=\"wp-block-button has-custom-font-size mb-md-0 mb-0\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:0px;background-color:#00000000;color:#ff6600\">CONFIRM YOUR INVITE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}